Bug 91630 - Euro-shortcut not working with LANG=en_US.UTF-8
Euro-shortcut not working with LANG=en_US.UTF-8
Status: CLOSED RAWHIDE
Product: Red Hat Linux
Classification: Retired
Component: XFree86 (Show other bugs)
9
i686 Linux
medium Severity low
: ---
: ---
Assigned To: Mike A. Harris
David Lawrence
: MoveUpstream
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2003-05-26 09:09 EDT by Paul Bolle
Modified: 2007-04-18 12:54 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2003-08-16 10:51:49 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Paul Bolle 2003-05-26 09:09:32 EDT
From Bugzilla Helper: 
User-Agent: Mozilla/5.0 (compatible; Konqueror/3.1; Linux) 
 
Description of problem: 
In Red Hat Linux 9 it doesn't seem to be possible to write a € (euro) by simply typing 'Alt Gr + 
5' (which is a very common combination over here in Europe). In Red Hat Linux 8.0 that was 
possible. In both cases LANG was set to en_US.UTF-8. 
 
Version-Release number of selected component (if applicable): 
 
 
How reproducible: 
Always 
 
Steps to Reproduce: 
1. Type 'Alt Gr + 5' 
2. 
3. 
     
 
Actual Results:  No € (euro) appeared, but a 5. 
 
Expected Results:  A € (euro) should appear. 
 
Additional info: 
 
FWIW my workaround. To /usr/X11R6/lib/X11/xkb/symbols/us_intl I added these lines: 
     key <AE05> {   [     5,   percent      ],  
          [   EuroSign         ]   }; 
 
Besides, to  /etc/X11/XF86Config I added the line: 
   Option   "XkbOptions"   "grp:switch" 
 
I'm not sure whether this is only possible solution, whether editing /etc/X11/XF86Config was 
really necessary and whether there isn't a better way to do this, but: this worked for me!
Comment 1 Mike A. Harris 2003-05-26 09:13:22 EDT
Please report this problem in XFree86 bugzilla at http://bugs.xfree86.org
and post the upstream bug URL here and I will track it there and once approved
by XFree86 and checked into CVS, I will backport the fix to future Red Hat
XFree86 packages.

Thanks.
Comment 2 Paul Bolle 2003-05-26 16:50:28 EDT
Here you are: http://bugs.xfree86.org/cgi-bin/bugzilla/show_bug.cgi?id=309 
Comment 3 Paul Bolle 2003-05-29 10:21:42 EDT
Ivan Pascal of Xfree86 seems to have fixed this already!
Comment 4 Mike A. Harris 2003-05-31 02:01:44 EDT
Thanks, I'll investigate including this in rawhide soon.
Comment 5 Mike A. Harris 2003-08-16 10:51:49 EDT
Backported patch applied to 4.3.0-19 in rawhide.  Changing bug status to
MODIFIED, pending end user testing.  If this works now, please change bug
status to RAWHIDE, otherwise change it back to ASSIGNED.

Note You need to log in before you can comment on or make changes to this bug.